<?php if ($effects) {
    $cr_effect = ' cr-animate-gen"  data-gen="' . $effects . '" data-gen-offset="bottom-in-view';
} else {
    $cr_effect = '';
} ?>

<div class="module module-last-x-posts  <?php echo $css ?>">

<?php if ($main_title != ''): ?>
	<h3 class="widget-title">
		<?php if($icon_title): ?>
			<i class="<?php echo $icon_title ?>"></i>
		<?php endif; ?>

		<?php echo $main_title ?>
	</h3>
<?php endif; ?>

<?php

//echo '<div class="block-news-feature">';

$the_query = null;
$sticky = get_option('sticky_posts');

if ($categories) {
    $args = array(
        'category__in' => array($categories),
        'posts_per_page' => 1,
        'offset' => $offset,
        'ignore_sticky_posts' => 1,
        'post__not_in' => $sticky,
		'order' => $sort_order,
		'orderby' => $sort_orderby,
    );
} else {
    $args = array(
        'posts_per_page' => 1,
        'offset' => $offset,
        'ignore_sticky_posts' => 1,
        'post__not_in' => $sticky,
		'order' => $sort_order,
		'orderby' => $sort_orderby,
    );
}


$the_query = new WP_Query($args);
while ($the_query->have_posts()) :
    $the_query->the_post();      ?>

    <div class="featured-news row <?php echo $cr_effect; ?>">

		<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
			<div class="entry-body">



            <?php
            if (has_post_thumbnail()) {
                $thumb = get_post_thumbnail_id();
                $img_url = wp_get_attachment_url($thumb, 'medium'); //get img URL
                $article_image = aq_resize($img_url, 450, 270, true);
                ?>

                <div class="large-6 columns">
                    <div class="entry-thumb">
                        <img src="<?php echo $article_image ?>" alt="<?php the_title(); ?>"/>
                        <a href="<?php the_permalink(); ?>" class="link"></a>

                    </div>
                </div>

            <?php } ?>

            <div class="large-6 columns horizontal">

				<header class="entry-header">

                <?php reactor_post_meta(); ?>
				<?php reactor_do_standard_header_titles() ?>

				</header>
                <div class="entry-content">

                    <p><?php content(32); ?></p>

                </div>

            </div>
			</div>

        </article>

    </div>

<?php endwhile;
wp_reset_postdata(); ?>

    <div class="other-news row">

<?php

$the_query = null;
$sticky = get_option('sticky_posts');
if ($categories) {
    $args = array(
        'cat' => $categories,
        'posts_per_page' => 2,
        'offset' => ($offset + 1),
        'ignore_sticky_posts' => 1,
        'post__not_in' => $sticky,
		'order' => $sort_order,
		'orderby' => $sort_orderby,
    );

} else {
    $args = array(
        'posts_per_page' => 2,
        'offset' => ($offset + 1),
        'ignore_sticky_posts' => 1,
        'post__not_in' => $sticky,
		'order' => $sort_order,
		'orderby' => $sort_orderby,
    );
}
$the_query = new WP_Query($args);

while ($the_query->have_posts()) :
    $the_query->the_post(); ?>
    <div class="large-6 columns">
		<?php get_template_part('post-formats/format', 'small');?>
    </div>
<?php  endwhile;
wp_reset_postdata();

echo '</div></div>';