<?php if ($effects){
    $cr_effect = ' cr-animate-gen"  data-gen="'.$effects.'" data-gen-offset="bottom-in-view';
} else {
    $cr_effect ='';
} ?>

<div class="module_posts-style-2 <?php echo $css ?>">

	<?php if ($main_title != ''): ?>
		<h3 class="widget-title">
			<?php if($icon_title): ?>
				<i class="<?php echo $icon_title ?>"></i>
			<?php endif; ?>

			<?php echo $main_title ?>
		</h3>
	<?php endif; ?>

    <?php


    if ($categories){
	    $cat_array = explode(',',$categories);
        $args = array(
            'category__in' => $cat_array,
            'posts_per_page' => $no_of_posts,
            'ignore_sticky_posts' => 'true'
        );
    } else {
        $args = array(
            'posts_per_page' => $no_of_posts,
            'ignore_sticky_posts' => 'true'
        );
    }

    $the_query = new WP_Query($args);

    ?>
    <ul class="tiny-post-list">

        <?php

        while ($the_query->have_posts()) : $the_query->the_post(); ?>

            <li>

	            <article id="post-<?php the_ID(); ?>" class="hentry mini-news clearfix">
		            <div class="entry-body">

			            <?php

			            if( has_post_thumbnail() && !($show_meta) ){
				            ?>
				            <div class="entry-thumb">

					            <?php the_post_thumbnail('thumb-70'); ?>
					            <a class="link" href="<?php the_permalink(); ?>"></a>

				            </div>

			            <?php } else { ?>

				            <time class="styled" datetime="<?php echo get_the_time('c'); ?>">
					            <span class="day"><?php echo get_the_date('d'); ?></span>
					            <span class="mounth"><?php echo get_the_date('M'); ?>.</span>
					            <span class="year"><?php echo get_the_date('Y'); ?></span>
				            </time>

			            <?php } ?>

			            <a class="entry-title" href="<?php the_permalink() ?>" title="<?php echo esc_attr(get_the_title() ? get_the_title() : get_the_ID()); ?>"><?php if ( get_the_title() ) the_title(); else the_ID(); ?></a>

			            <div class="entry-content">
				            <?php $trimexcerpt = get_the_excerpt() ? get_the_excerpt() : get_the_content();

				            $shortexcerpt = wp_trim_words($trimexcerpt, $num_words = 10, $more = '… ');

				            echo '<p>' . $shortexcerpt . '</p>';  ?>

			            </div>

		            </div><!-- .entry-body -->
	            </article><!-- #post -->

            </li>

        <?php endwhile; ?>

    </ul>

    <?php wp_reset_postdata(); ?>

</div>