<div class="team_module module row <?php echo $css; ?>">

	<?php if ( $main_title != '' ): ?>
		<h3 class="widget-title">
			<?php if ( $icon_title ): ?>
				<i class="<?php echo $icon_title ?>"></i>
			<?php endif; ?>

			<?php echo $main_title ?>
		</h3>
	<?php endif; ?>

    <?php if (count($r_items) > 0): ?>

        <?php foreach ($r_items as $panel): ?>

            <?php if (isset($panel['effects']) && $panel['effects']) {
                $cr_effect = ' cr-animate-gen"  data-gen="' . $panel['effects'] . '" data-gen-offset="bottom-in-view';
            } else {
                $cr_effect = '';
            }

            $url = wp_get_attachment_url($panel['image']);
            $article_image = aq_resize($url, 140, 140, true);
            ?>

            <div class="<?php echo $column_number ?> columns  <?php echo $cr_effect; ?>">

                <div class="team_member_box">
                    <div class="team-member">
                        <?php if ($article_image) { ?>

                            <figure class="avatar entry-thumb">
                                <img src="<?php echo $article_image; ?>" alt="<?php echo $panel['main_title'] ?>"/>

                                    <?php if (isset($panel['page_id']) && is_numeric($panel['page_id']) AND $panel['page_id'] > 0 OR isset($panel['link_url']) && ($panel['link_url'] != '')): ?>
                                        <?php $_link = $panel['link_url'] != '' ? $panel['link_url'] : get_page_link($panel['page_id']); ?>

                                        <a href="<?php echo $_link ?>" class="link"> </a>

                                    <?php endif; ?>


                            </figure>

                        <?php } ?>

                        <?php if ($panel['main_title']): ?>
                            <h5 class="block-title">
                                <?php if (isset($panel['page_id'])&& is_numeric($panel['page_id']) AND $panel['page_id'] > 0 OR isset($panel['link_url']) && ($panel['link_url'] != '')): ?>
                                    <?php $_link = $panel['link_url'] != '' ? $panel['link_url'] : get_page_link($panel['page_id']); ?>
                                    <a href="<?php echo $_link ?>">
                                        <?php echo $panel['main_title'] ?>
                                    </a>
                                <?php else : ?>
                                    <?php echo $panel['main_title'] ?>
                                <?php endif; ?>

                            </h5>

                        <?php endif; ?>

                        <?php if ($panel['content'] != ''): ?>

                            <div class="text">

                                <?php echo mvb_parse_content($panel['content'], TRUE); ?>

                            </div>

                        <?php endif; ?>
                    </div>

                    <?php
                    $social_networks = array(
                        "tw" => "Twitter",
                        "fb" => "Facebook",
                        "li" => "LinkedIN",
                        "gp" => "Google +",
                        "in" => "Instagram",
                        "vi" => "Vimeo",
                        "lf" => "Last FM",
                        "vk" => "Vkontakte",
                        "yt" => "YouTube",
                        "de" => "Devianart",
                        "pi" => "Picasa",
                        "pt" => "Pinterest",
                        "wp" => "Wordpress",
                        "db" => "Dropbox",
                    );
                    $social_icons = array(
                        "fb" => "soc_icon-facebook",
                        "gp" => "soc_icon-google__x2B_",
                        "tw" => "soc_icon-twitter-3",
                        "in" => "soc_icon-instagram",
                        "vi" => "soc_icon-vimeo",
                        "lf" => "soc_icon-last_fm",
                        "vk" => "soc_icon-rus-vk-01",
                        "yt" => "soc_icon-youtube",
                        "de" => "soc_icon-deviantart",
                        "li" => "soc_icon-linkedin",
                        "pi" => "soc_icon-picasa",
                        "pt" => "soc_icon-pinterest",
                        "wp" => "soc_icon-wordpress",
                        "db" => "soc_icon-dropbox",
                        "rss" => "soc_icon-rss",
                    );

                    foreach ($social_networks as $short => $original) {

                        $link = $panel[$short . "_link"];
                        $icon = $social_icons[$short];

                        if (isset($link) && ($link != '')) {
                            $icons .= '<a href="' . $link . '" class="' . $icon . '" title="' . $original . '"></a>';
                        }
                    }

                    if (isset($icons) && $icons) {
                        echo '<div class="soc-icons">';
                        echo $icons;
                        echo '</div>';

                        $icons = '';
                    }

                    ?>
                </div>
            </div>
        <?php endforeach; ?>
    <?php endif; ?>
</div>









