<div class="vertical_tabs_module module <?php echo $css ?>">


	<?php if ( $main_title != '' ): ?>
		<h3 class="widget-title">
			<?php if ( $icon_title ): ?>
				<i class="<?php echo $icon_title ?>"></i>
			<?php endif; ?>

			<?php echo $main_title ?>
		</h3>
	<?php endif; ?>

    <div class="row">
        <div class="column">
			<dl class="tabs vertical" data-tab>

                <?php $i = 1; ?>
                <?php foreach ($r_items as $item): ?>

                    <dd <?php if ($i == '1'): ?> class="active"<?php endif; ?>>
                        <a href="#<?php echo $unique_id . '-' . $i ?>">
                            <span class="tab-icon"><i class="<?php echo $item['icon']; ?>"></i></span>
                            <span class="tab-title"><?php echo esc_attr($item['tab_title']); ?></span>
                        </a>
                    </dd>

                    <?php $i++; ?>
                <?php endforeach; ?>

            </dl>

			<div class="tabs-content vertical">
                <?php $i = 1; ?>
                <?php foreach ($r_items as $item): ?>

                    <div class="content <?php if ($i == '1'): ?>active<?php endif; ?>" id="<?php echo $unique_id . '-' . $i; ?>">
                        <p><?php echo mvb_parse_content_html($item['content'], TRUE) ?></p>
                    </div>

                    <?php $i++; ?>
                <?php endforeach; ?>
            </div>
        </div>
    </div>
</div>