<?php if ($effects){
    $cr_effect = ' cr-animate-gen"  data-gen="'.$effects.'" data-gen-offset="bottom-in-view';
} else {
    $cr_effect ='';
} ?>

<div class="module module-last-x-posts <?php echo $css ?>">

	<?php if ($main_title != ''): ?>
		<h3 class="widget-title">
			<?php if($icon_title): ?>
				<i class="<?php echo $icon_title ?>"></i>
			<?php endif; ?>

			<?php echo $main_title ?>
		</h3>
	<?php endif; ?>

    <?php

    $sticky = get_option( 'sticky_posts' );

    if ($categories){
        $args = array(
            'category__in' => array($categories),
            'offset' => $offset,
            'posts_per_page' => 1,
            'ignore_sticky_posts' => 1,
            'post__not_in' => $sticky,
			'order' => $sort_order,
			'orderby' => $sort_orderby,
        );
    } else {
        $args = array(
            'posts_per_page' => 1,
            'offset' => $offset,
            'ignore_sticky_posts' => 1,
            'post__not_in' => $sticky,
			'order' => $sort_order,
			'orderby' => $sort_orderby,
        );
    }

    echo '<div class="row block-news-feature ">';
        $the_query = null;


        $the_query = new WP_Query( $args );
        while ( $the_query->have_posts() ) :
        $the_query->the_post();

        ?>

        <div class="large-12 columns featured-news <?php echo $cr_effect; ?>">

            <?php get_template_part('post-formats/format', 'aside');?>

        </div>

        <?php endwhile; wp_reset_postdata();?>

        <div class="twelve columns other-news">

            <?php
            $the_query = null;
            $sticky = get_option( 'sticky_posts' );

            if ($categories){
                $args = array(
                    'cat' => $categories,
                    'posts_per_page' => 3,
                    'offset' => ($offset + 1),
                    'ignore_sticky_posts' => 1,
                    'post__not_in' => $sticky,
					'order' => $sort_order,
					'orderby' => $sort_orderby,
                );

            } else {
                $args = array(
                    'posts_per_page' => 3,
                    'offset' => ($offset + 1),
                    'ignore_sticky_posts' => 1,
                    'post__not_in' => $sticky,
					'order' => $sort_order,
					'orderby' => $sort_orderby,
                );
            }


            $the_query = new WP_Query( $args );

            while ( $the_query->have_posts() ) : $the_query->the_post(); ?>

				<?php get_template_part('post-formats/format', 'small');?>

<?php  endwhile; wp_reset_postdata();

echo '</div></div>'; ?>

</div>