<?php if ( $effects ) {
	$cr_effect = ' cr-animate-gen"  data-gen="' . $effects . '" data-gen-offset="bottom-in-view';
}
else {
	$cr_effect = '';
} ?>
<div class="gmap_module <?php echo $css ?> <?php echo $cr_effect; ?>">

	<?php if ( $main_title != '' ): ?>
		<h3 class="widget-title">
			<?php if ( $icon_title ): ?>
				<i class="<?php echo $icon_title ?>"></i>
			<?php endif; ?>

			<?php echo $main_title ?>
		</h3>
	<?php endif; ?>

	<div class="map-widget row">

		<script type="text/javascript" src="https://maps.google.com/maps/api/js?sensor=false"></script>

		<div class="large-12 columns map-holder">

			<div id="map-<?php echo $unique_id; ?>" style="height: <?php echo $height; ?>px;"></div>

			<script type="text/javascript">
				jQuery(document).ready(function () {
					jQuery("#map-<?php echo $unique_id; ?>").gmap3({
						marker: {

							values: [
								<?php echo '{address: " '. $address .'" , data:"'. $address .'"},'; ?>
							],


							events:{
								click: function(marker, event, context){
									var map = jQuery(this).gmap3("get"),
										infowindow = jQuery(this).gmap3({get:{name:"infowindow"}});
									if (infowindow){
										infowindow.open(map, marker);
										infowindow.setContent('<div class="noscroll">'+context.data+'</div>');
									} else {
										jQuery(this).gmap3({
											infowindow:{
												anchor:marker,
												options:{content: '<div class="noscroll">'+context.data+'</div>'}
											}
										});
									}
								}
							}

						},
						map   : {
							options: {
								zoom             : <?php if ($zoom) {echo $zoom;}  else {echo '14';}  ?>,
								navigationControl: true,
								scrollwheel      : false,
								streetViewControl: true
							}
						}
					});
				});
			</script>
		</div>

		<div class="large-12 columns">
			<?php echo mvb_parse_content( $content ); ?>
		</div>

	</div>
</div>